# Daniel's Dotfiles

My personal Linux dotfiles.

I use Arch btw.

The root of this repo is equivalent to my $HOME directory.

## This Repository

I use this repository to sync and backup my dotfiles. I use the excellent [yadm]
to manage the repo, and [autoyadm](https://git.sr.ht/~ficd/autoyadm) to automate
committing & pushing on a timer.

If you see a file with a weird name, like `config##hostname.dbox`, it's
leveraging `yadm`'s alternate files feature; the program will automatically
symlink that file to its appropriate destination depending on which computer
it's on.

This is done automatically on a timer. Therefore, these configs are:

- Always up-to-date.
- Potentially broken on any given commit.

## Note On Keybindings

A note on keybindings: I use Colemak-DH, which is a non-qwerty keyboard layout.
I use either `MNEI` or the arrow keys (which is a mod key + `MNEI` on my
keyboard) for navigation, depending on a few different factors.

If `MNEI` conflicts with any defaults that would be far too finicky to remap, I
just use the arrow keys. Otherwise, I bind `MNEI` to navigation.
